This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536437 - (RHQ-787) Improvements to the DynaGroups Wizard
Improvements to the DynaGroups Wizard
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.1
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: SubTask
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-09-04 14:42 EDT by Greg Hinkle
Modified: 2009-11-10 16:22 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Greg Hinkle 2008-09-04 14:42:00 EDT
This is an additional set of improvements that didn't make it into the first version of the wizard.



4) "expression type" drop-down always makes the first expression "resource.type.name = Apache HTTP Server", it should either be null until one is selected or it should default to the first item in the "resource type" drop-down that gets generated after selecting the appropriate plugin

5) enablement / disablement options
5a) when "resource type" drop-down is an empty list, replace it with the printed message "there are no types defined by the selected plugin"
5b) when "property names" drop-down is an empty list, replace it with the printed message "there are no properties defined by the selected type"

6) user intuitiveness - similar to, but more direct than enablement / disablement options
6a) maybe only populate the "defining plugin" / "resource type" drop-downs with elements that are known to have resource types that have properties - this would be a complete replacement for options 5a & 5b
Comment 1 Joseph Marques 2008-12-25 06:55:08 EST
rev2545 - dynagroup expression builder improvements for items 5a & 5b

example for 5a) Resource > Resource Type > Database > "None defined for selected plugin" > "No type selected"
example for 5b) Resource > Resource Type > Apache > Apache HTTP Server > "None defined for selected type"
Comment 2 Joseph Marques 2008-12-25 07:06:16 EST
#4 does not seem to be an issue anymore.  although Apache/Apache HTTP Server combo is the default value (but is readonly), the definition plugin and resource type drop-downs seems to properly "stick" to their previously selected values as various other combinations of elements are selected around them.
Comment 3 Red Hat Bugzilla 2009-11-10 16:16:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-787

Note You need to log in before you can comment on or make changes to this bug.